## Apache Zeta Components Manual :: Docs For Class ezcBaseOptions

### Base::ezcBaseOptions

### Class ezcBaseOptions

Base options class for all eZ components.

Source for this file: /Base/src/options.php

### Implements interfaces:

- ArrayAccess (internal interface)

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcDocumentParserOptions | Class containing the basic options for the ezcDocumentParser.
ezcDocumentOptions | Class containing the basic options for the ezcDocument
ezcDocumentConverterOptions | Class containing the basic options for the ezcDocumentConverter
ezcPersistentObjectTemplateSchemaWriterOptions | Option class for ezcPersistentObjectTemplateSchemaWriter.
ezcConsoleProgressMonitorOptions | Struct class to store the options of the ezcConsoleOutput class.
ezcConsoleProgressbarOptions | Struct class to store the options of the ezcConsoleOutput class.
ezcConsoleDialogOptions | Basic options class for ezcConsoleDialog implementations.
ezcConsoleTableOptions | Struct class to store the options of the ezcConsoleTable class.
ezcConsoleOutputOptions | Struct class to store the options of the ezcConsoleOutput class.
ezcConsoleStatusbarOptions | Struct class to store the options of the ezcConsoleOutput class.
ezcCacheStorageMemcacheOptions | Option class for defining a connection to a Memcache server.
ezcCacheStorageFileOptions | Option class for the ezcCacheStorageFile class.
ezcCacheStorageApcOptions | Option class for defining a connection to APC.
ezcCacheStorageOptions | Option class for the ezcCacheStorage class.
ezcCacheStackOptions | Options class for ezcCacheStack instances.
ezcDbMssqlOptions | Class containing the options for MS SQL Server connections
ezcAuthenticationOpenidStoreOptions | Class containing the options for the OpenID store.
ezcAuthenticationOptions | Class containing the basic options for the authentication main class.
ezcAuthenticationFilterOptions | Class containing the basic options for authentication filters.
ezcAuthenticationSessionOptions | Class containing the options for the authentication session.
ezcArchiveOptions | Class containing the basic options for ezcBase' autoload.
ezcWorkflowDatabaseOptions | Options class for ezcWorkflowDatabase.
ezcSignalCollectionOptions | Struct class to store the options of the ezcConsoleOutput class.
ezcDbSchemaOptions | Class containing the basic options for charts
ezcTreeVisitorYUIOptions | Class containing the options for the ezcTreeVisitorYUIOptions class.
ezcTreeVisitorXHTMLOptions | Class containing the options for the ezcTreeVisitorXHTMLOptions class.
ezcWorkflowVisitorVisualizationOptions | Options class for ezcWorkflowVisitorVisualization.
ezcWorkflowExecutionVisualizerPluginOptions | Options class for ezcWorkflowExecutionVisualizerPlugin.
ezcImageSaveOptions | Options class for ezcImageHandler->save() methods.
ezcPersistentSessionIdentityDecoratorOptions | Options class for ezcPersistentSessionIdentityDecorator.
ezcGraphColor | ezcGraphColor
ezcGraphChartElement | Base class for chart elements
ezcGraphAxisLabelRenderer | Abstract class to render labels and grids on axis. Will be extended to make it possible using different algorithms for rendering axis labels.
ezcGraphFontOptions | Class containing the options for font configuration.
ezcGraphChartOptions | Class containing the basic options for charts.
ezcGraphDriverOptions | Class containing the basic driver options.
ezcTranslationTsBackendOptions | Struct class to store the options of the ezcTranslationTsBackend class.
ezcWorkflowSignalSlotPluginOptions | Options class for ezcWorkflowVisitorVisualization.
ezcWebdavLockPluginOptions | Option class for the Webdav lock plugin.
ezcWebdavFileBackendOptions | Class containing the options for the file backend.
ezcWebdavServerOptions | Options class for ezcWebdavServer.
ezcDebugOptions | Options class for ezcDebug.
ezcMvcAuthenticationFilterOptions | Class containing authentication filter options
ezcMailImapSetOptions | Class containing the options for IMAP mail set.
ezcMailOptions | Class containing the options for the mail generator.
ezcMailTransportOptions | Class containing the basic options for mail transports.
ezcMailParserOptions | Class containing the basic options for the mail parser.

### Member Variables

protected array(string=>mixed) | `$properties` Container to hold the properties

### Method Summary

public ezcBaseOptions | `__construct( [ $options = array()] )` Construct a new options object.
public void | `merge( $newOptions )` Merge an array into the actual options object.
public bool | `offsetExists( $propertyName )` Returns if an option exists.
public mixed | `offsetGet( $propertyName )` Returns an option value.
public void | `offsetSet( $propertyName , $propertyValue )` Set an option.
public void | `offsetUnset( $propertyName )` Unset an option.

### Methods

#### __construct

ezcBaseOptions __construct( [ $options = array()] )

Construct a new options object.

Options are constructed from an option array by default. The constructor automatically passes the given options to the __set() method to set them in the class.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) | The initial options to set.

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If the value for a property is out of range.
`ezcBasePropertyNotFoundException` | If trying to access a non existent property.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentXmlOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentOdtOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentDocbookOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentXhtmlOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentEzXmlOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentBBCodeOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentRstOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentPdfOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentPdfFooterOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentWikiOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentDocbookToEzXmlConverterOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentDocbookToRstConverterOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentDocbookToWikiConverterOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentXsltConverterOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentDocbookToHtmlXsltConverterOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentEzXmlToDocbookConverterOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentDocbookToOdtConverterOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentHtmlConverterOptions::__construct()` | Constructs an object with the specified values.
`ezcDocumentDocbookToHtmlConverterOptions::__construct()` | Constructs an object with the specified values.
`ezcPersistentObjectTemplateSchemaWriterOptions::__construct()` | Construct a new options object.
`ezcConsoleQuestionDialogOptions::__construct()` | Construct a new options object.
`ezcConsoleMenuDialogOptions::__construct()` | Construct a new options object.
`ezcConsoleTableOptions::__construct()` | Construct a new options object.
`ezcConsoleOutputOptions::__construct()` | Construct a new options object.
`ezcCacheStorageMemcacheOptions::__construct()` | Constructs an object with the specified values.
`ezcCacheStorageFileOptions::__construct()` | Constructs a new options class.
`ezcCacheStorageApcOptions::__construct()` | Constructs an object with the specified values.
`ezcCacheStorageFileApcArrayOptions::__construct()` | Constructs an object with the specified values.
`ezcCacheStorageOptions::__construct()` | Constructs a new options object.
`ezcCacheStackOptions::__construct()` | Construct a new options object.
`ezcDbMssqlOptions::__construct()` | Creates an ezcDbMssqlOptions object with default option values.
`ezcAuthenticationOpenidStoreOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationOpenidDbStoreOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationOpenidFileStoreOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationFilterOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationDatabaseOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationLdapOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationGroupOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationTokenOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationOpenidOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationTypekeyOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationHtpasswdOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationSessionOptions::__construct()` | Constructs an object with the specified values.
`ezcArchiveOptions::__construct()` | Constructs an object with the specified values.
`ezcSignalCollectionOptions::__construct()` | Construct a new options object.
`ezcTreeVisitorYUIOptions::__construct()` | Constructs an object with the specified values.
`ezcTreeVisitorXHTMLOptions::__construct()` | Constructs an object with the specified values.
`ezcPersistentSessionIdentityDecoratorOptions::__construct()` | Construct a new options object.
`ezcGraphRadialGradient::__construct()` | Constructor
`ezcGraphLinearGradient::__construct()` | Constructor
`ezcTranslationTsBackendOptions::__construct()` | Constructs a new options class.
`ezcWebdavLockPluginOptions::__construct()` | Construct a new options object.
`ezcWebdavFileBackendOptions::__construct()` | Constructs an object with the specified values.
`ezcWebdavServerOptions::__construct()` | Constructs a new options objet with the given $options;
`ezcMvcAuthenticationFilterOptions::__construct()` | Constructs an object with the specified values.
`ezcMailImapSetOptions::__construct()` | Constructs an object with the specified values.
`ezcMailOptions::__construct()` | Constructs an object with the specified values.
`ezcMailComposerOptions::__construct()` | Constructs an object with the specified values.
`ezcMailTransportOptions::__construct()` | Constructs an object with the specified values.
`ezcMailSmtpTransportOptions::__construct()` | Constructs an object with the specified values.
`ezcMailImapTransportOptions::__construct()` | Constructs an object with the specified values.
`ezcMailPop3TransportOptions::__construct()` | Constructs an object with the specified values.
`ezcMailParserOptions::__construct()` | Constructs an object with the specified values.

#### merge

void merge( $newOptions )

Merge an array into the actual options object.

This method merges an array of new options into the actual options object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$newOptions` | array(string=>mixed) | The new options.

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If the value for a property is out of range.
`ezcBasePropertyNotFoundException` | If trying to access a non existent property.

#### offsetExists

bool offsetExists( string $propertyName )

Returns if an option exists.

Allows isset() using ArrayAccess.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$propertyName` | string | The name of the option to get.

##### Implementation of:

Method | Description
--- | ---
`ArrayAccess::offsetExists` |

#### offsetGet

mixed offsetGet( string $propertyName )

Returns an option value.

Get an option value by ArrayAccess.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$propertyName` | string | The name of the option to get.

##### Exceptions:

Type | Description
--- | ---
`ezcBasePropertyNotFoundException` | If $propertyName is not a key in the $properties array.

##### Implementation of:

Method | Description
--- | ---
`ArrayAccess::offsetGet` |

#### offsetSet

void offsetSet( string $propertyName , mixed $propertyValue )

Set an option.

Sets an option using ArrayAccess.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$propertyName` | string | The name of the option to set.
`$propertyValue` | mixed | The value for the option.

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If the value for a property is out of range.
`ezcBasePropertyNotFoundException` | If $propertyName is not a key in the $properties array.

##### Implementation of:

Method | Description
--- | ---
`ArrayAccess::offsetSet` |

#### offsetUnset

void offsetUnset( string $propertyName )

Unset an option.

Unsets an option using ArrayAccess.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$propertyName` | string | The name of the option to unset.

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If a the value for a property is out of range.
`ezcBasePropertyNotFoundException` | If $propertyName is not a key in the $properties array.

##### Implementation of:

Method | Description
--- | ---
`ArrayAccess::offsetUnset` |

Documentation generated by phpDocumentor 1.4.3